#include "Log.h"
#include "fs/VFS.h"
#include "memory/MemoryManager.h"
#include "sys/Syscall.h"

Result<u64> sys_mkdir(Registers*, SyscallArgs args)
{
    auto path = TRY(MemoryManager::strdup_from_user(args[0]));

    kinfoln("mkdir: attempting to create %s", path.chars());

    TRY(VFS::create_directory(path.chars()));

    return 0;
}
